import { createRouter, createWebHistory } from 'vue-router'

export default createRouter({
  history: createWebHistory(),
  routes: [
    {
      path: '/login',
      component: () => import('./pages/login/index.vue'),
    },
    {
      path: '/register',
      component: () => import('./pages/register/index.vue'),
    },
    {
      path: '/password',
      component: () => import('./pages/password/index.vue'),
    },
    {
      path: '/imei/:action',
      component: () => import('./pages/imei/index.vue'),
      props: true,
    },
    {
      path: '/fill-order',
      component: () => import('./pages/fill-order/index.vue'),
    },
    {
      path: '/pay-result/:status',
      component: () => import('./pages/pay-result/index.vue'),
      props: true,
    },
    {
      path: '/account',
      component: () => import('./pages/account/index.vue'),
    },
    {
      path: '/order',
      component: () => import('./pages/my-order/index.vue'),
    },
    {
      path: '/gift-card',
      component: () => import('./pages/gift-card/index.vue'),
    },
    {
      path: '/benefits',
      component: () => import('./pages/benefits/index.vue'),
    },
  ],
})
